/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/* colcol.c SS May 95                                   */

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>

int main(argc,argv) 
int argc;
char *argv[];

{
   
   FILE *infile;


   double x;

   int n,i,j,k,mcol,ncol;

   int col[51];

   if (argc < 3) {
      printf("Usage: %s datafile maxcoli ncoli col1i ... colni\n",argv[0]);
      exit(0);
   } /* if */
   

   if ((infile = fopen(argv[1],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   mcol=atoi(argv[2]);
   ncol=atoi(argv[3]);

   for (i=1; i<=ncol; i++) {
      col[i]=atoi(argv[i+3]);
   } /* for i */


   k=0;

while (fscanf(infile,"%lf",&x) != EOF) {
      k++;
      for (i=1; i<=ncol; i++) {
         if (col[i] == k) {
            printf("%13.3f",x);
         } /* if */
      } /* for i */
  
      if (k == mcol) {
         printf("\n");
         k=0;
      }
} /* while */

} /* End */
