/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>


int main(argc,argv)
int argc;
char *argv[];
{

   FILE *infile,*outfile;
   
   int i,j,k,n,xsize,ysize,xs,ys;

   float ccc;

   int xys[3];

   float fff[3];

   unsigned char *d;

   unsigned short *ss;
  

   if (argc != 3) {
      printf("Usage: %s image.tga image.fff\n",argv[0]);
      exit(0);
   } /* if */

   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File %s not found.\n",argv[1]);
      exit(0);
   } /* if */

   outfile = fopen(argv[2],"wb");

   ss=(unsigned short *)calloc(9+1,sizeof(unsigned short));

   fread(&ss[1],sizeof(unsigned short),9,infile);

   xs=ss[7];
   ys=ss[8];

   printf("%6d %6d\n",xs,ys);
 

   xsize=xs;
   ysize=ys;

   n=3*xsize*ysize+18;

   d = (char *)calloc(n+1,sizeof(char));

   rewind(infile);

   fread(&d[1],sizeof(char),n,infile);

   xys[1]=xs;
   xys[2]=ys;


   fwrite(&xys[1],sizeof(int),2,outfile);

   ccc=1.0/3.0;
 
   k=18;
   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
          fff[1]=ccc*((float)(d[k])+(float)(d[k+1])+(float)(d[k+2]));
	  fwrite(&fff[1],sizeof(float),1,outfile);
	  k=k+3;
      } /* for j */
   } /* for i */

   fclose(outfile);

} /* End  */
