/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  ctransf.c                                                */
/*                                                           */
/* Latest update: Oct 95 SS, Aug 98                          */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>


int main(argc,argv)
int argc;
char *argv[];

{
   FILE *infile1,*infile2,*outfile;

   double x,y,x2,y2,inte;
  
   double ax2,ax1,ax0,ay2,ay1,ay0;
 
 
   int *sr,*sl; 

   if (argc < 3) {
      printf("Usage: %s file1(x y int) coeffile outfile\n",argv[0]);
      exit(0);
   } /* if */




   if ((infile1 = fopen(argv[1],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   if ((infile2 = fopen(argv[2],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile=fopen(argv[3],"w");


   fscanf(infile2,"%lf %lf %lf %lf %lf %lf", 
          &ax2,&ax1,&ax0,&ay2,&ay1,&ay0);



   while (fscanf(infile1,"%lf %lf %lf",&x,&y,&inte) != EOF) {
      x2=ax2*x+ax1*y+ax0;
      y2=ay2*x+ay1*y+ay0;
      fprintf(outfile,"%9.3f %9.3f %15.5f\n",x2,y2,inte);
   } /* while */


                
} /* end */
