/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  imcut.c SS Dec 93                                        */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "image.h"


int main(argc,argv) 
int argc;
char *argv[];
{
   struct image_head header,header2; 
   short **image,**image2;
   
   int i,j,x1,x2,y1,y2,xsize,ysize;

   if (argc<4) {
      printf("Usage: %s inimage outimage x1i y1i x2i y2i\n",argv[0]);
      exit(0);
   } /* if */

   x1=atoi(argv[3]);
   y1=atoi(argv[4]);
   x2=atoi(argv[5]);
   y2=atoi(argv[6]);

   xsize=x2-x1+1;
   ysize=y2-y1+1;
 
   ReadHeader(argv[1],&header);

   image = (short **)calloc(header.hgh,sizeof(short*));

   ReadImage(argv[1],image);

   header2.id=image_magic;
   header2.typ=im_s16;
   header2.off=512;
   header2.hgh=ysize;
   header2.wid=xsize;

   image2 = (short **)calloc(header2.hgh,sizeof(short*));

   CreateIm_s16(image2,header2.hgh,header2.wid);


   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
         image2[i][j]=image[i+y1][j+x1];
      } /* for j */
   } /* for i */


   WriteImage(argv[2],image2,header2,im_s16);

} /* End  */
